import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/job_applied_index_s_g_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/job_applied_index_s_g_entity.g.dart';

@JsonSerializable()
class JobAppliedIndexSGEntity {
	@JSONField(name: "job_id")
	String? jobId = null;
	@JSONField(name: "job_date")
	String? jobDate = null;
	@JSONField(name: "job_title")
	String? jobTitle = null;
	@JSONField(name: "status_list")
	List<JobAppliedIndexSGStatusList> statusList = [];
	@JSONField(name: "can_append")
	bool? canAppend = false;

	JobAppliedIndexSGEntity();

	factory JobAppliedIndexSGEntity.fromJson(Map<String, dynamic> json) => $JobAppliedIndexSGEntityFromJson(json);

	Map<String, dynamic> toJson() => $JobAppliedIndexSGEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class JobAppliedIndexSGStatusList {
	String? value = null;
	String? txt = null;
	String? selected = null;

	JobAppliedIndexSGStatusList();

	factory JobAppliedIndexSGStatusList.fromJson(Map<String, dynamic> json) => $JobAppliedIndexSGStatusListFromJson(json);

	Map<String, dynamic> toJson() => $JobAppliedIndexSGStatusListToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}